<?php
/**
 * @property mysqli_connect $con
 */
?>
<?php
require("includes/logincheck.php");
require("config.php");
require("includes/functions.php");
require("includes/settings.php");
?>
<?php
//tabela pagamento

$pagamento[1] = 'Pagseguro';
$pagamento[2] = 'Boleto Facil';
$pagamento[3] = 'Deposito/TEV';

// tabela status
$status[0] = 'Cancelada';
$status[1] = 'Aberta';
$status[2] = 'Aguardando Pagamento';
$status[3] = 'Aprovada';
$status[4] = 'Fechada';

// dados sessao

$adminid = (int) $_SESSION['adminid'];
$adminLevel = (int) $_SESSION['adminlevel'];
$rev_pre = (int) $_SESSION['rev_pre'];
?>
<?php
// mysql
$con = mysqli_connect($dbhost, $dbuser, $dbpass, $dbname);

// transacoes logins
/*
  id	int(11)	Não
  id_user	int(11)	Não
  id_revenda	int(11)	Não
  tipo	int(11)	Não
  valor_un	decimal(10,0)	Não
  qtd_meses	int(11)	Não
  valor_total	decimal(10,0)	Não
  data_cad	datetime	Não
  data_atualizacao	datetime	Não
  status	int(11)
 */

// remover transações logins

if (isset($_GET['remove_trans_login'])) {

    $id_trans_login = $_GET['id'];

    if (!is_numeric($id_trans_login)) {
        exit();
    }

    $rs = $con->query("SELECT * FROM cmum_transacoes WHERE id = {$id_trans_login} AND id_revenda = {$adminid}");

    $retorno = "";

    if ($rs->num_rows > 0) {

        if ($con->query("DELETE FROM cmum_transacoes WHERE id = {$id_trans_login}")) {

            $retorno = <<<EOF
                    <script>
                        alert('Dados Removidos Com Sucesso.');
                        window.close();
                    </script>                    
EOF;
        }
    }

    exit($retorno);
}

//remove transações revendas

if (isset($_GET['remove_trans_revenda'])) {

    $id_trans_revenda = $_GET['id'];

    if (!is_numeric($id_trans_revenda)) {
        exit();
    }

    $rs = $con->query("SELECT * FROM cmum_transacoes_planos WHERE id = {$id_trans_revenda} AND id_pai = {$adminid}");

    $retorno = "";

    if ($rs->num_rows > 0) {

        if ($con->query("DELETE FROM cmum_transacoes_planos WHERE id = {$id_trans_revenda}")) {

            $retorno = <<<EOF
                    <script>
                        alert('Dados Removidos Com Sucesso.');
                        window.close();
                    </script>                    
EOF;
        }
    }

    exit($retorno);
}

if (isset($_GET['carrega_tabela_login'])) {

    $SQL = "SELECT tl.*,u.name,tr_a.nome_arquivo_salvo,tr_a.nome_arquivo_orig,tr_a.caminho_completo_arquivo FROM cmum_transacoes AS tl LEFT JOIN cmum_udb as u ON tl.id_user = u.id LEFT JOIN"
            . " cmum_transacao_arquivo AS tr_a ON tl.id = tr_a.id_transacao WHERE tl.id_revenda = {$adminid}";

    $filtro = isset($_POST['filtro']) ? $_POST['filtro'] : "";

    if ($filtro !== "") {

        $SQL .= " AND (tl.id LIKE '%{$filtro}%' OR u.name LIKE '%{$filtro}%')";
    }

    $SQL .= " ORDER BY tl.id DESC";

    $rs_trans_login = $con->query($SQL);

    $transacoes_login = array();

    if ($rs_trans_login->num_rows > 0) {



        while ($row = $rs_trans_login->fetch_assoc()) {

            $detalhes = "";


            $anexo = "Não";

            if (file_exists($row['caminho_completo_arquivo'])) {
                $anexo = "<a href='{$config['base_url']}uploads/{$row['nome_arquivo_salvo']}' class='mostra-comprovante'>{$row['nome_arquivo_orig']}</a>";
            }

            $detalhes .= "<span><strong>Valor un:</label></strong>&nbsp;R$ {$row['valor_un']}<br/>"
                    . "<span><strong>Qtd Meses:</strong>&nbsp;{$row['qtd_meses']}</span><br />"
                    . "<span><strong>Anexo:</strong> {$anexo}</span>";

            $row['detalhes'] = $detalhes;

            $transacoes_login[] = $row;
        }
    }

    require_once __DIR__ . '/elementos/transacoes/transacoes.tabela_login.php';
    exit();
}


// transacoes revendas
/*
  id	int(11)	Não
  id_revenda	int(11)	Não
  id_pai	int(11)	Não
  id_plano	int(11)	Não
  tipo	tinyint(4)	Não
  valor_pagamento	decimal(10,2)	Não
  detalhes	tinytext	Não
  data_cad	date	Não
  data_atualizacao	date	Não
  status
 */

if (isset($_GET['carrega_tabela_revenda'])) {

    $SQL = "SELECT tr.*,a.username FROM cmum_transacoes_planos AS tr LEFT JOIN cmum_admins AS a ON tr.id_revenda = a.id WHERE id_pai = {$adminid}";

    // filtro
    $filtro = isset($_POST['filtro']) ? $_POST['filtro'] : "";

    if ($filtro !== "") {

        $SQL .= " AND (tr.id LIKE '%{$filtro}%' OR a.username LIKE '%{$filtro}%')";
    }

    // ordenação
    $SQL .= " ORDER BY tr.id DESC";

    $rs_trans_revendas = $con->query($SQL);

    $transacoes_revendas = array();

    if ($rs_trans_revendas->num_rows) {


        while ($row = $rs_trans_revendas->fetch_assoc()) {
            $transacoes_revendas[] = $row;
        }
    }

    // mostrando a view

    require_once __DIR__ . '/elementos/transacoes/transacoes.tabela_revenda.php';
    exit();
}
?>
<?php
$titulo = "Minhas Transações";
?>
<!-- topo -->
<?php require_once __DIR__ . '/includes/topo.php'; ?>
<!-- info saldo -->
<?php require_once __DIR__ . '/includes/info_saldo.php'; ?>
<!-- corpo -->
<div class="container">
    <!-- Menu -->
<?php require_once __DIR__ . '/includes/menu.php'; ?>

    <p>Transações Logins</p>
    <div><label>Filtro:</label>&nbsp;<input id="filtro-trans-login"/></div>
    <div id="div-tabela-trans-login" class="table-responsive" style="overflow: auto; height: 300px"></div>
<?php if ($adminLevel === 0 || $rev_pre === 1): ?>
        <hr/>
        <p>Transações Revendas</p>
        <div><label>Filtro:</label>&nbsp;<input id="filtro-trans-revenda"/></div>
        <div id="div-tabela-trans-revenda" class="table-responsive" style="overflow: auto; height: 300px"></div>
<?php endif; ?>
</div>
<script>
    $(document).ready(function () {

        $('#div-tabela-trans-login').load('transacoes.php?carrega_tabela_login=true');

        $('#div-tabela-trans-revenda').load('transacoes.php?carrega_tabela_revenda=true');

        //ações botões filtros

        $('#filtro-trans-login').on('keyup', function () {

            var filtro_login = $(this).val();

            $('#div-tabela-trans-login').load('transacoes.php?carrega_tabela_login=true', {filtro: filtro_login});

        });

        //ações botões filtros

        $('#filtro-trans-revenda').on('keyup', function () {

            var filtro_login = $(this).val();

            $('#div-tabela-trans-revenda').load('transacoes.php?carrega_tabela_revenda=true', {filtro: filtro_login});

        });

    });
</script>
<?php
require_once __DIR__ . '/includes/rodape.php';

